require "kvmultiplex/provider"

require "deep_merge/rails_compat"

module KVMultiplex
  module Providers
    class Readonly < KVMultiplex::Provider
      def initialize(provider)
        raise "provider must be a KVMultiplex::Provider." unless provider.is_a?(KVMultiplex::Provider)

        @provider = provider
      end

      def get(subkey, full_key)
        @provider.get(subkey, full_key)
      end
    end
  end
end
